API · Reference

All endpoints

All 118 routes of the API. Everything you can do in the console is here.

For each route's parameters, request body and response, open the interactive reference. Tools can read the same as OpenAPI or llms.txt. All three are generated from the API and always current; this page is a copy taken when the website was last published.

Sessions

Start, list, check, stop and direct live sessions.

POST/v1/sessionsCreate Session
GET/v1/sessionsList Sessions
GET/v1/sessions/{session_id}Get Session
POST/v1/sessions/{session_id}/stopStop Session
GET/v1/sessions/{session_id}/stageGet Stage
POST/v1/sessions/{session_id}/stageChange Stage

Catalog

Faces, backdrops and cameras. Public: no key needed.

GET/v1/catalog/facesCatalog Faces
GET/v1/catalog/backdropsCatalog Backdrops
GET/v1/catalog/camerasCatalog Cameras

Agents & Business Brain

Create and configure agents, embed settings, previews, knowledge and the Brain editor.

POST/v1/agent/createCreate Agent
GET/v1/agent/listList Agents
GET/v1/agent/has-agentsCheck Has Agents
GET/v1/agent/{agent_id}Get Agent
DELETE/v1/agent/{agent_id}Delete Agent
PATCH/v1/agent/{agent_id}Update Agent
POST/v1/agent/{agent_id}/duplicateDuplicate Agent
POST/v1/agent/{agent_id}/set-defaultSet Default Agent
GET/v1/agent/{agent_id}/embedGet Embed Config
PATCH/v1/agent/{agent_id}/embedUpdate Embed Config
POST/v1/agent/{agent_id}/embed/regenerateRegenerate Embed Key
POST/v1/agent/{agent_id}/previewOpen Preview
POST/v1/agent/{agent_id}/embed/apply-to-allApply Embed To All
GET/v1/agent/{agent_id}/visitor-valuesGet Visitor Values
PATCH/v1/agent/{agent_id}/visitor-valuesUpdate Visitor Values
GET/v1/agent/{agent_id}/visitor-values/secretReveal Visitor Signing Secret
POST/v1/agent/{agent_id}/visitor-values/secretRotate Visitor Signing Secret
POST/v1/agent/{agent_id}/visitor-values/previewPreview Visitor Values
GET/v1/agent/{agent_id}/extract-linksExtract Links
POST/v1/agent/{agent_id}/generate-brainGenerate Brain
GET/v1/agent/{agent_id}/brain-statusGet Brain Status
POST/v1/agent/{agent_id}/add-pageAdd Page
GET/v1/agent/{agent_id}/pages/listList Pages
PATCH/v1/agent/{agent_id}/pages/{page_id}Edit Page
DELETE/v1/agent/{agent_id}/pages/{page_id}Delete Page
DELETE/v1/agent/{agent_id}/pagesClear Pages
GET/v1/agent/{agent_id}/kb-sectionsList Kb Sections
POST/v1/agent/{agent_id}/kb-sectionsAdd Kb Section
PATCH/v1/agent/{agent_id}/kb-sections/{topic}Edit Kb Section
DELETE/v1/agent/{agent_id}/kb-sections/{topic}Delete Kb Section
POST/v1/agent/{agent_id}/v2/probeProbe
POST/v1/agent/{agent_id}/v2/schema/generateGenerate Schema
POST/v1/agent/{agent_id}/v2/extractExtract
GET/v1/agent/{agent_id}/v2/brainGet Brain
GET/v1/agent/{agent_id}/v2/completionCompletion Status
POST/v1/agent/{agent_id}/v2/recompileRecompile
POST/v1/agent/{agent_id}/v2/answerAnswer Question
POST/v1/agent/{agent_id}/v2/knowledge/opsKnowledge Ops
POST/v1/agent/{agent_id}/v2/questions/stateQuestion State
POST/v1/agent/{agent_id}/v2/review/resolveReview Resolve
POST/v1/agent/{agent_id}/v2/consolidateConsolidate Now
POST/v1/agent/{agent_id}/v2/correctionCorrection Preview
POST/v1/agent/{agent_id}/v2/correction/applyCorrection Apply
GET/v1/agent/{agent_id}/v2/rulesList Rules
POST/v1/agent/{agent_id}/v2/rulesCreate Rule
PATCH/v1/agent/{agent_id}/v2/rules/{rule_id}Update Rule
DELETE/v1/agent/{agent_id}/v2/rules/{rule_id}Delete Rule
GET/v1/agent/{agent_id}/v2/gapsList Gaps
POST/v1/agent/{agent_id}/v2/gaps/{gap_id}/answerAnswer Gap
POST/v1/agent/{agent_id}/v2/gaps/{gap_id}/dismissDismiss Gap
GET/v1/agent/{agent_id}/v2/behaviorGet Behavior
PATCH/v1/agent/{agent_id}/v2/behaviorUpdate Behavior
GET/v1/agent/{agent_id}/v2/dynamic-instructionsGet Dynamic Instructions
PATCH/v1/agent/{agent_id}/v2/dynamic-instructionsUpdate Dynamic Instructions
POST/v1/agent/{agent_id}/v2/dynamic-instructions/previewPreview Dynamic Instructions
GET/v1/agent/{agent_id}/v2/orphansList Orphans
POST/v1/agent/{agent_id}/v2/orphans/resolveResolve Orphan

Voices

Voices by provider and language, with samples.

GET/v1/voices/{provider}List Voices
GET/v1/voices/{provider}/{voice_id}/previewVoice Preview

Conversations & reports

Conversations, transcripts, stats and exports.

GET/v1/reports/meReporting Me
GET/v1/reports/agentsReporting Agents
GET/v1/reports/conversationsList Conversations
GET/v1/reports/statsStats
GET/v1/reports/export/conversationsExport Conversations
GET/v1/reports/export/conversations/{conversation_id}Export Transcript
GET/v1/reports/conversations/{conversation_id}Conversation Detail

Notifications & data handoffs

Data handoff rules, webhook and Telegram destinations, delivery logs, notifications.

GET/v1/notificationsList Notifications
GET/v1/notifications/unread-countUnread Count
POST/v1/notifications/readMark Read
GET/v1/notifications/prefs/{agent_id}Get Prefs
PUT/v1/notifications/prefs/{agent_id}Update Prefs
GET/v1/notifications/rules/{agent_id}List Rules
POST/v1/notifications/rules/{agent_id}Create Rule
PUT/v1/notifications/rules/{agent_id}/{rule_id}Replace Rule
DELETE/v1/notifications/rules/{agent_id}/{rule_id}Delete Rule
POST/v1/notifications/rules/{agent_id}/test-deliveryTest Rule Delivery
POST/v1/notifications/rules/{agent_id}/builderRule Builder Turn
POST/v1/notifications/rules/{agent_id}/testTest Rule
GET/v1/notifications/destinationsList Destinations
POST/v1/notifications/destinations/telegram/connectConnect Telegram Destination
GET/v1/notifications/destinations/telegram/connect/{token}Telegram Destination Connect Status
POST/v1/notifications/destinations/webhookCreate Webhook Destination
PATCH/v1/notifications/destinations/{destination_id}Update Destination
DELETE/v1/notifications/destinations/{destination_id}Delete Destination
GET/v1/notifications/destinations/{destination_id}/signing-secretReveal Signing Secret
POST/v1/notifications/destinations/{destination_id}/rotate-secretRotate Signing Secret
GET/v1/notifications/destinations/{destination_id}/deliveriesWebhook Deliveries
POST/v1/notifications/destinations/{destination_id}/testTest Destination
POST/v1/notifications/telegram/connect/{agent_id}Telegram Connect
POST/v1/notifications/telegram/disconnect/{agent_id}Telegram Disconnect

Usage

Minutes used.

GET/v1/usage/summaryGet Usage Summary

Billing & wallet

Charges, line items, wallet balance and top-ups.

GET/v1/billing/summarySummary
GET/v1/billing/by-agentBy Agent
GET/v1/billing/voiceVoice
GET/v1/billing/monthlyMonthly
GET/v1/billing/line-itemsLine Items
GET/v1/billing/export/line-itemsExport Line Items
GET/v1/billing/walletGet Wallet
POST/v1/billing/wallet/topupWallet Topup
GET/v1/billing/wallet/topup/confirmWallet Topup Confirm
POST/v1/billing/wallet/portalWallet Portal
GET/v1/billing/planGet Plan

Support

Support tickets.

GET/v1/support/agentsSupport Agents
POST/v1/support/ticketsCreate Ticket
GET/v1/support/ticketsList Tickets
GET/v1/support/unread-countUnread Count
GET/v1/support/tickets/{ticket_id}Get Ticket
POST/v1/support/tickets/{ticket_id}/replyReply Ticket
POST/v1/support/tickets/{ticket_id}/closeClose Ticket

Base URL and authentication

All paths are relative to https://talk.selviaai.com. Send Authorization: Bearer sk_live_… with every call except the catalog.